%define languageenglazy Friulian
%define languagecode    fur
%define lc_ctype        fur_IT

%define upstream_version 20050912

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://digilander.libero.it/paganf/coretors/dizionaris.html
Source0:        http://digilander.libero.it/paganf/coretors/myspell-fur-12092005.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-fur
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-fur-12092005

%build
chmod -x *
for i in COPYING.txt LICENCE.txt LEIMI.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-15 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p fur_IT.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p fur_IT.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING.txt LEIMI.txt LICENCE.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20050912.1-10.mga3
+ Revision: 353470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20050912.1-9.mga3
+ Revision: 325295
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20050912.1-8.mga2
+ Revision: 224638
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20050912.1-7.mga2
+ Revision: 207753
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 0.20050912.1-6.mga2
+ Revision: 197710
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050912.1-5.mga1
+ Revision: 68779
- imported package hunspell-fur

